Ftdi::List(3)

NAME
Ftdi::List - Device list.

SYNOPSIS

#include <ftdi.hpp>

  Classes
class Private

  Public Types
typedef std::list< Context > ListType
List type storing 'Context' objects.
typedef ListType::iterator iterator
Iterator type for the container.
typedef ListType::const_iterator const_iterator
Const iterator type for the container.
typedef ListType::reverse_iterator reverse_iterator
Reverse iterator type for the container.
typedef ListType::const_reverse_iterator const_reverse_iterator
Const reverse iterator type for the container.

  Public Member Functions
List (struct ftdi_device_list *devlist=0)
~List ()
iterator begin ()
iterator end ()
const_iterator begin () const
const_iterator end () const
reverse_iterator rbegin ()
reverse_iterator rend ()
const_reverse_iterator rbegin () const
const_reverse_iterator rend () const
ListType::size_type size () const
bool empty () const
void clear ()
void push_back (const Context &element)
void push_front (const Context &element)
iterator erase (iterator pos)
iterator erase (iterator beg, iterator end)

  Static Public Member Functions
static List * find_all (Context &context, int vendor, int product)

Detailed Description

Device list.

Definition at line 175 of file ftdi.hpp.

Member Typedef Documentation

  typedef std::list<Context> Ftdi::List::ListType

List type storing 'Context' objects.

Definition at line 184 of file ftdi.hpp.

  typedef ListType::iterator Ftdi::List::iterator

Iterator type for the container.

Definition at line 186 of file ftdi.hpp.

  typedef ListType::const_iterator Ftdi::List::const_iterator

Const iterator type for the container.

Definition at line 188 of file ftdi.hpp.

  typedef ListType::reverse_iterator Ftdi::List::reverse_iterator

Reverse iterator type for the container.

Definition at line 190 of file ftdi.hpp.

  typedef ListType::const_reverse_iterator Ftdi::List::const_reverse_iterator

Const reverse iterator type for the container.

Definition at line 192 of file ftdi.hpp.

Constructor & Destructor Documentation

  Ftdi::List::List (struct ftdi_device_list * devlist = 0)

Definition at line 476 of file ftdi.cpp.

References ftdi_device_list::dev, Ftdi::Context::get_strings(), ftdi_device_list::next, and Ftdi::Context::set_usb_device().

Referenced by find_all().

  Ftdi::List::~List ()

Definition at line 492 of file ftdi.cpp.

Member Function Documentation

  List * Ftdi::List::find_all (Context & context, int vendor, int product) [static]

Definition at line 643 of file ftdi.cpp.

References Ftdi::Context::context(), ftdi_usb_find_all(), and List().

  List::iterator Ftdi::List::begin ()
Return begin iterator for accessing the contained list elements

Returns:
    Iterator

Definition at line 500 of file ftdi.cpp.

  List::iterator Ftdi::List::end ()
Return end iterator for accessing the contained list elements

Returns:
    Iterator

Definition at line 509 of file ftdi.cpp.

  List::const_iterator Ftdi::List::begin () const
Return begin iterator for accessing the contained list elements

Returns:
    Const iterator

Definition at line 518 of file ftdi.cpp.

  List::const_iterator Ftdi::List::end () const
Return end iterator for accessing the contained list elements

Returns:
    Const iterator

Definition at line 527 of file ftdi.cpp.

  List::reverse_iterator Ftdi::List::rbegin ()
Return begin reverse iterator for accessing the contained list elements

Returns:
    Reverse iterator

Definition at line 536 of file ftdi.cpp.

  List::reverse_iterator Ftdi::List::rend ()
Return end reverse iterator for accessing the contained list elements

Returns:
    Reverse iterator

Definition at line 545 of file ftdi.cpp.

  List::const_reverse_iterator Ftdi::List::rbegin () const
Return begin reverse iterator for accessing the contained list elements

Returns:
    Const reverse iterator

Definition at line 554 of file ftdi.cpp.

  List::const_reverse_iterator Ftdi::List::rend () const
Return end reverse iterator for accessing the contained list elements

Returns:
    Const reverse iterator

Definition at line 563 of file ftdi.cpp.

  List::ListType::size_type Ftdi::List::size () const
Get number of elements stored in the list

Returns:
    Number of elements

Definition at line 573 of file ftdi.cpp.

  bool Ftdi::List::empty () const
Check if list is empty

Returns:
    True if empty, false otherwise

Definition at line 582 of file ftdi.cpp.

  void Ftdi::List::clear ()
Removes all elements. Invalidates all iterators. Do it in a non-throwing way and also make sure we really free the allocated memory.

Definition at line 592 of file ftdi.cpp.

References ftdi_list_free().

  void Ftdi::List::push_back (const Context & element)
Appends a copy of the element as the new last element.

Parameters:
    element Value to copy and append

Definition at line 608 of file ftdi.cpp.

  void Ftdi::List::push_front (const Context & element)
Adds a copy of the element as the new first element.

Parameters:
    element Value to copy and add

Definition at line 617 of file ftdi.cpp.

  List::iterator Ftdi::List::erase (iterator pos)
Erase one element pointed by iterator

Parameters:
    pos Element to erase

Returns:
    Position of the following element (or end())

Definition at line 627 of file ftdi.cpp.

  List::iterator Ftdi::List::erase (iterator beg, iterator end)
Erase a range of elements

Parameters:
    beg Begin of range
    end End of range

Returns:
    Position of the element after the erased range (or end())

Definition at line 638 of file ftdi.cpp.

Author

Generated automatically by Doxygen for libftdi1 from the source code.